## Making Changes

Depending on your changes there are certain rules you have to follow if you expect your Pull Request (PR) to be merged.

1. Check for existing pull requests that might already implement your changes.  
    You can review those pull requests with your suggestions for improvements.
1. Reference documentation or issues that are relevant to your changes.  
    For instance, if you're implementing a new Discord feature, include a link to the [api docs](https://github.com/discord/discord-api-docs) pull request that documents the feature.
1. If you implement a new feature, include some examples on how you intend it to be used in your PR description.
1. Write documentation for all public API methods and types.
1. Follow the JDA coding style, even if unconventional, we want to keep it consistent to maintain readability.
1. Try to limit your PR to one logical change or closely related changes.  
    For instance, do not refactor other code that is irrelevant to your changes. If you want to refactor something, make a dedicated PR.

> [!TIP]
> Before starting to implement your changes, you can post in our [lib-dev](https://discord.gg/qcy8K58zWb) channel on our Discord Server. Getting early feedback will help you and the reviewers save a lot of time.
